Flare 2018 r2 System Requirements

 Article #: IAR1026F  Product: Flare   Version: 2018 r2

Summary:

The following is the listing of system requirements to run MadCap Flare 2018 r2.

Full Description:

An Internet Connection is required to download certain components of the Requirements (.NET Framework).

  • 4096 MB memory (RAM)

  • 1.4 GB available hard drive space

  • Intel Pentium 4

  • Windows 7, Windows 8 or Windows 10, 32 or 64 bit, including all required updates

  • Microsoft .NET Framework 4.6

    Servers hosting WebHelp Plus or Server-Based HTML5 also need .NET Framework

  • Source Control integration supports: Team Foundation Server 2010, 2012, 2013, 2015, 2017, or 2018

    Subversion 1.5.3, 1.6, 1.7, 1.8 or 1.9, GIT 1.9.4 and Perforce 2014.1, 2015.2, 2018.1

  • Equation rendering requires Java Runtime Environment (JRE) version 7.51

  • Note: 32-bit JRE is needed if using the 32-bit version of Flare. Otherwise a 64-bit version is required.

  • Building targets using Elasticsearch locally on your machine requires Java Development Kit (JDK) version 1.8 (64-bit) Servers hosting Elasticsearch also require JDK 1.8 (64-bit), IIS, and .NET Core 1.1.6 Hosting Bundle

  • SharePoint integration supports: SharePoint 2007, 2010, 2013, 2016, and 365

  • Support of EPS images requires Ghostscript

  • Note: 32-bit Ghostscript is needed if using the 32-bit version of Flare. Otherwise a 64-bit version is required.

    http://ghostscript.com/download/gsdnld.html

  • Adobe FrameMaker 7 through 2017 (for Import of FrameMaker content)

  • WebHelp and HTML5 responsive output are supported by the latest versions of the following browsers:

    • Google Chrome
    • Internet Explorer (required to view the Skin Editor in Flare)
    • Microsoft Edge
    • Mozilla Firefox
    • Safari

    Note: HTML5 responsive output and skin editor require IE 11 or newer

Note: We recommend a hard drive speed of 7200 rpm or above for optimum performance and reduced compile times

MadCap products currently require Microsoft Windows. Several users have installed Windows on their Macs using programs that enable them to run Windows. The system requirements remain the same for the version of Windows running on a Mac.

If there are difficulties installing Flare after fulfilling the items on this checklist, please contact MadCap Technical Support.

 

Attribution:

Last updated:

October 31, 2018

Author:

Steven Moreno

Contributions by:

MadCap QA

 


Copyright © 2018 MadCap Software Inc. All rights reserved.